- Create Product
- Get Export Data
- Get Product
- Get Product Lineage
- Get Output Port
- Get Products
- Update Product
- Update Product From Yaml
- Delete Product
POST /api/v1/governance/productCreate a new productResponseboolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
The endpoint’s response payload.
curl -X POST "https://<your-workspace>.prizmdata.ai/api/v1/governance/product" \
-H "Authorization: Bearer <YOUR_API_TOKEN>" \
-H "Content-Type: application/json" \
-d '{}'
Response
{
"success": true,
"message": "Create a new product",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {}
}
POST /api/v1/governance/product/exportGet Export DataResponseboolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
The endpoint’s response payload.
curl -X POST "https://<your-workspace>.prizmdata.ai/api/v1/governance/product/export" \
-H "Authorization: Bearer <YOUR_API_TOKEN>" \
-H "Content-Type: application/json" \
-d '{}'
Response
{
"success": true,
"message": "Get Export Data",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {}
}
GET /api/v1/governance/product/{productId}Get a product by IDPath Parametersstring
required
Example: “
boolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
string
Example:
"governance_product".string
string
string
Example:
"Source".string
string
string
string
string
string
string
Example:
"d22eaa72-da63-4c04-9701-c1db138b2842".string
string
integer
Example:
0.integer
Example:
0.string
string
string
string
integer
Example:
0.string
integer
Example:
2.string
string
string
string
string
string
string
Example:
"PENDING".boolean
Example:
true.boolean
Example:
false.string
string
string
string
string
string
Example:
"dffafdeb-6c4d-4e64-b293-696dcdcfc923".string
Example:
"2026-09-20T17:02:48.274860Z".string
Example:
"2026-09-21T06:39:16.447949Z".string
Example:
"87efd845-c1f5-4c65-8a2a-1ecc91736c30".string
Example:
"87efd845-c1f5-4c65-8a2a-1ecc91736c30".integer
Example:
0.object[]
object[]
object[]
object[]
object[]
object[]
string
curl -X GET "https://<your-workspace>.prizmdata.ai/api/v1/governance/product/{productId}" \
-H "Authorization: Bearer <YOUR_API_TOKEN>"
Response
{
"success": true,
"message": "Get a product by ID",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {
"name": "governance_product",
"qualified_name": null,
"description": null,
"type": "Source",
"level": null,
"source": null,
"owner_team": null,
"sensitivity_level": null,
"channel": null,
"parent_id": null,
"domain_id": "d22eaa72-da63-4c04-9701-c1db138b2842",
"trust_score": null,
"score": null,
"total_alerts": 0,
"total_issues": 0,
"linked_asset_count": null,
"linked_metric_count": null,
"total_likes": null,
"total_dislikes": null,
"total_conversations": 0,
"output_port": null,
"total_views": 2,
"health_index": null,
"freshness_sla_compliance_index": null,
"adoption_usage_coverage_index": null,
"business_impact_index": null,
"owner": null,
"user": null,
"status": "PENDING",
"is_active": true,
"is_deleted": false,
"freshness_sla": null,
"schema_stability": null,
"definition": null,
"context": null,
"who_should_use_this": null,
"id": "dffafdeb-6c4d-4e64-b293-696dcdcfc923",
"created_at": "2026-09-20T17:02:48.274860Z",
"modified_at": "2026-09-21T06:39:16.447949Z",
"created_by": "87efd845-c1f5-4c65-8a2a-1ecc91736c30",
"modified_by": "87efd845-c1f5-4c65-8a2a-1ecc91736c30",
"linked_assets": 0,
"domain": [
{
"id": "d22eaa72-da63-4c04-9701-c1db138b2842",
"name": "Alation Domain",
"label": "Alation Domain",
"qualified_name": "Alation Domain",
"type": "domain",
"is_active": true
}
],
"application": [
{
"id": "0f6be62d-b72b-4d1e-a427-1f88a743a14f",
"name": "test_governance_application",
"qualified_name": "governance_application",
"role": null,
"description": null,
"is_active": true,
"label": "test_governance_application"
}
],
"tag": [],
"term": [],
"viewers": [
{
"id": "08ba2090-a236-4538-a671-fca112ca8ad2",
"viewed_at": "2026-09-21T10:32:26.827300+00:00",
"name": null,
"email": "rejeesh@dqlabs.ai"
}
],
"audiences": [],
"catalog_upstream": {
"items": [],
"total_count": 0
},
"catalog_downstream": {
"items": [],
"total_count": 0
},
"recent_conversations": null,
"context_freshness": {
"description": null,
"owner_verified": null
}
}
}
POST /api/v1/governance/product/{productId}/lineageGet product lineage graphPath Parametersstring
required
Example: “
boolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
curl -X POST "https://<your-workspace>.prizmdata.ai/api/v1/governance/product/{productId}/lineage" \
-H "Authorization: Bearer <YOUR_API_TOKEN>" \
-H "Content-Type: application/json" \
-d '{}'
Response
{
"success": true,
"message": "Get product lineage graph",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {
"nodes": [],
"edges": []
}
}
POST /api/v1/governance/product/{productId}/output-portGet output port for a productPath Parametersstring
required
Example: “
boolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
The endpoint’s response payload.
curl -X POST "https://<your-workspace>.prizmdata.ai/api/v1/governance/product/{productId}/output-port" \
-H "Authorization: Bearer <YOUR_API_TOKEN>" \
-H "Content-Type: application/json" \
-d '{}'
Response
{
"success": true,
"message": "Get output port for a product",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {}
}
POST /api/v1/governance/product/listGet products with optional filteringRequest Bodyobject[]
object[]
string
Example:
"".boolean
Example:
false.boolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
object[]
string
Example:
"governance_product".string
string
Example:
"Source".string
Example:
"d22eaa72-da63-4c04-9701-c1db138b2842".integer
Example:
0.integer
Example:
0.integer
Example:
0.integer
Example:
1.string
Example:
"PENDING".boolean
Example:
true.boolean
Example:
false.string
Example:
"dffafdeb-6c4d-4e64-b293-696dcdcfc923".string
Example:
"2026-09-20T17:02:48.274860Z".string
Example:
"2026-09-20T19:01:54.341732Z".string
Example:
"87efd845-c1f5-4c65-8a2a-1ecc91736c30".string
Example:
"87efd845-c1f5-4c65-8a2a-1ecc91736c30".integer
Example:
0.object[]
object[]
object[]
object[]
object[]
object[]
integer
Example:
38.object[]
curl -X POST "https://<your-workspace>.prizmdata.ai/api/v1/governance/product/list" \
-H "Authorization: Bearer <YOUR_API_TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"pagination": {
"page": 1,
"pageSize": 10
},
"sorting": [],
"filters": [],
"search": "",
"export": false
}'
Response
{
"success": true,
"message": "Get products with optional filtering",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {
"data": [
{
"name": "governance_product",
"description": null,
"type": "Source",
"domain_id": "d22eaa72-da63-4c04-9701-c1db138b2842",
"total_alerts": 0,
"total_issues": 0,
"total_conversations": 0,
"total_views": 1,
"status": "PENDING",
"is_active": true,
"is_deleted": false,
"id": "dffafdeb-6c4d-4e64-b293-696dcdcfc923",
"created_at": "2026-09-20T17:02:48.274860Z",
"modified_at": "2026-09-20T19:01:54.341732Z",
"created_by": "87efd845-c1f5-4c65-8a2a-1ecc91736c30",
"modified_by": "87efd845-c1f5-4c65-8a2a-1ecc91736c30",
"linked_assets": 0,
"domain": [
{
"id": "d22eaa72-da63-4c04-9701-c1db138b2842",
"name": "Alation Domain",
"label": "Alation Domain",
"qualified_name": "Alation Domain",
"type": "domain",
"is_active": true
}
],
"application": [
{
"id": "0f6be62d-b72b-4d1e-a427-1f88a743a14f",
"name": "test_governance_application",
"qualified_name": "governance_application",
"role": null,
"description": null,
"is_active": true,
"label": "test_governance_application"
}
],
"tag": [],
"term": [],
"viewers": [],
"audiences": []
}
],
"total_count": 38,
"metrics": []
}
}
PUT /api/v1/governance/product/{productId}Update a productPath Parametersstring
required
Example: “
boolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
The endpoint’s response payload.
curl -X PUT "https://<your-workspace>.prizmdata.ai/api/v1/governance/product/{productId}" \
-H "Authorization: Bearer <YOUR_API_TOKEN>" \
-H "Content-Type: application/json" \
-d '{}'
Response
{
"success": true,
"message": "Update a product",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {}
}
PUT /api/v1/governance/product/{productId}/update/yamlUpdate Product From YamlPath Parametersstring
required
Example: “
boolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
The endpoint’s response payload.
curl -X PUT "https://<your-workspace>.prizmdata.ai/api/v1/governance/product/{productId}/update/yaml" \
-H "Authorization: Bearer <YOUR_API_TOKEN>" \
-H "Content-Type: application/json" \
-d '{}'
Response
{
"success": true,
"message": "Update Product From Yaml",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {}
}
DELETE /api/v1/governance/product/{productId}Delete a productPath Parametersstring
required
Example: “
boolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
The endpoint’s response payload.
curl -X DELETE "https://<your-workspace>.prizmdata.ai/api/v1/governance/product/{productId}" \
-H "Authorization: Bearer <YOUR_API_TOKEN>"
Response
{
"success": true,
"message": "Delete a product",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {}
}